KDE 4.2 PyKDE API Reference

- KDE's Python API

# HTMLStyleElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Style information. A more detailed style sheet object model is planned to be defined in a separate document. See the <a href="http://www.w3.org/TR/REC-html40/present/styles.html#edef-STYLE"> STYLE element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLStyleElement other)
| __init__ (self, DOM.Node other)
| __init__ (self, HTMLStyleElementImpl impl)
bool | disabled (self)
DOM.DOMString | media (self)
| setDisabled (self, bool a0)
| setMedia (self, DOM.DOMString a0)
| setType (self, DOM.DOMString a0)
DOM.StyleSheet | sheet (self)
DOM.DOMString | type (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLStyleElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

__init__ | ( | self, |
|  | HTMLStyleElementImpl | impl
| ) |  |  |

bool disabled | ( |  | self ) |

Enables/disables the style sheet.

DOM.DOMString media | ( |  | self ) |

Designed for use with one or more target media. See the <a href="http://www.w3.org/TR/REC-html40/present/styles.html#adef-media"> media attribute definition in HTML 4.0.

setDisabled | ( | self, |
|  | bool | a0
| ) |  |  |

see disabled

setMedia | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see media

setType | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see type

DOM.StyleSheet sheet | ( |  | self ) |

Introduced in DOM Level 2 This method is from the LinkStyle interface

The style sheet.

DOM.DOMString type | ( |  | self ) |

The style sheet language (Internet media type). See the <a href="http://www.w3.org/TR/REC-html40/present/styles.html#adef-type-STYLE"> type attribute definition in HTML 4.0.